Create Single User
Create one user at a time without the need for a CSV input file. After creation, you can assign these users to Vaults with the Update Vault Membership endpoint.
Some Vaults use multiple applications, for example, a RIM Vault with Submissions and Registrations. If your Vault utilizes user-based licensing, you must use the Create Multiple Users endpoint with the app_licensing field. After creation, you can also manually adjust the user’s application licenses through the Vault UI. Learn more about license types
/api/{version}/objects/usersHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersThe following table provides the required and most common optional parameters to create a user. You may add values to any other editable user field, unless you are adding a cross-domain user or VeevaID user. See Retrieve All Users for all possible values.
| Name | Description |
|---|---|
user_name__vrequired | The user’s Vault username (login credential). For example, ewoodhouse@veepharm.com |
user_first_name__vrequired | The user's first name. |
user_last_name__vrequired | The user's last name. |
user_email__vrequired | The user's email address. |
user_timezone__vrequired | The user's time zone. Retrieve values from Retrieve All Users. |
user_locale__vrequired | The user's location. Retrieve values from Retrieve All Users. |
security_policy_id__vrequired | The user's security policy. Retrieve values from Retrieve All Security Policies. |
user_language__vrequired | The user's preferred language. Retrieve values from Retrieve All Users. |
security_profile__voptional | The user’s security profile. If omitted, the default value is document_user__v. |
license_type__voptional | The license type is the first level of access control that Vault applies to a user. If your Vault utilizes user-based licensing, assign application licensing using the Create Multiple Users endpoint. The license_type__v cannot be less permissive than a user's application licensing. If omitted, the default value is full__v. |
Cross-Domain Users
Section link for Cross-Domain UsersThe following are the only fields required to create a cross-domain user. All other fields are ignored.
| Name | Description |
|---|---|
user_name__vrequired | The user’s Vault username (login credential). For example, ewoodhouse@veepharm.com |
security_profile__voptional | The user’s security profile. If omitted, the default value is document_user__v. |
license_type__voptional | The user’s license type. If omitted, the default value is full__v. If your Vault utilizes user-based licensing, assign application licensing using the Create Multiple Users endpoint. |
VeevaID Users
Section link for VeevaID UsersThe following are the only fields required to add an existing VeevaID user to Vault. All other fields are ignored.
| Name | Description |
|---|---|
user_name__vrequired | The user’s Vault username (login credential). For example, ewoodhouse@veepharm.com |
security_policy_id__vrequired | The name__v of your Vault’s VeevaID security policy, for example, 25285. You can retrieve this ID from the Retrieve All Security Policies endpoint. |
security_profile__voptional | The user’s security profile. If omitted, the default value is document_user__v. |
license_type__voptional | The user’s license type. If omitted, the default value is full__v. If your Vault utilizes user-based licensing, assign application licensing using the Create Multiple Users endpoint. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
domain | When set to true, the user will not be assigned to a Vault. |
Add User to Domain
Section link for Add User to DomainOn SUCCESS, the user account is created and set to active. The new user is not assigned a license type or security profile, nor do they have access to any Vaults in your domain. This means they will not receive a welcome email.
Request: Add User to Domain
Section link for Request: Add User to Domaincurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "user_email__v=ewoodhouse@veepharm.com" \
-F "user_first_name__v=Elaine" \
-F "user_last_name__v=Woodhouse" \
-F "user_language__v=en" \
-F "user_timezone__v=America/Denver" \
-F "user_locale__v=en_US" \
-F "security_policy_id__v=821" \
-F "domain=true" \
https://myvault.veevavault.com/api/v26.1/objects/usersAdd User to Current Vault
Section link for Add User to Current VaultThis request adds one new user to your domain and assigns them to the Vault where the request was made. They will receive a welcome email with instructions for logging into the Vault, and they will not have access to any other Vaults in your domain. To give them access to other Vaults, see Update Vault Membership.
This example request includes all fields required to create a new user, and two optional fields (security profile and license type). If these optional fields were not included in the request, the user would be assigned the document_user__v security profile and full__v license type by default.
Request: Add User to Current Vault
Section link for Request: Add User to Current Vaultcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "user_email__v=ewoodhouse@veepharm.com" \
-F "user_first_name__v=Elaine" \
-F "user_last_name__v=Woodhouse" \
-F "user_language__v=en" \
-F "user_timezone__v=America/Denver" \
-F "user_locale__v=en_US" \
-F "security_policy_id__v=821" \
-F "security_profile__v=business_admin__v" \
-F "license_type__v=full__v" \
https://myvault.veevavault.com/api/v26.1/objects/usersAdd Cross-Domain User
Section link for Add Cross-Domain UserThis request adds the user ewoodhouse.veevavault.com to your current domain as a cross-domain user.
All other metadata fields are ignored. Learn more about cross-domain users in Vault Help
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "user_name__v=ewoodhouse@veepharm.com" \
-F "security_profile__v=business_admin__v" \
-F "license_type__v=full__v" \
https://myvault.veevavault.com/api/v26.1/objects/users